MWAWBorder Struct Reference

a border More...

`#include <libmwaw_internal.hxx>`

## Public Types

enum | Style { None, Simple, Dot, LargeDot, Dash }
| the line style More...
enum | Type { Single, Double, Triple }
| the line repetition More...

## Public Member Functions

| MWAWBorder ()
| constructor More...
bool | addTo (WPXPropertyList &propList, std::string which="") const
| add the border property to proplist (if needed ) More...
bool | isEmpty () const
| returns true if the border is empty More...
bool | operator== (MWAWBorder const &orig) const
| operator== More...
bool | operator!= (MWAWBorder const &orig) const
| operator!= More...
int | compare (MWAWBorder const &orig) const
| compare two cell More...

## Public Attributes

Style | m_style
| the border style More...
Type | m_type
| the border repetition More...
double | m_width
| the border total width in point More...
std::vector< double > | m_widthsList
| the different length used for each line/sep (if defined) More...
MWAWColor | m_color
| the border color More...
std::string | m_extra
| extra data ( if needed) More...

## Friends

std::ostream & | operator<< (std::ostream &o, MWAWBorder const &border)
| operator<< More...
std::ostream & | operator<< (std::ostream &o, MWAWBorder::Style const &style)
| operator<<: prints data in form "none|dot|..." More...

## Detailed Description

a border

## Member Enumeration Documentation

enum MWAWBorder::Style

the line style

Enumerator
None |
Simple |
Dot |
LargeDot |
Dash |

enum MWAWBorder::Type

the line repetition

Enumerator
Single |
Double |
Triple |

## Constructor & Destructor Documentation

MWAWBorder::MWAWBorder | ( |  | ) |

inline

constructor

## Member Function Documentation

bool MWAWBorder::addTo | ( | WPXPropertyList & | propList,
|  | std::string | which = `""`
| ) |  | const

add the border property to proplist (if needed )

Note
  if set which must be equal to "left", "top", ...

Referenced by MWAWParagraph::addTo(), MWProStructuresInternal::Block::fillFramePropertyList(), BWParser::sendFrame(), and FWGraph::sendSideBar().

int MWAWBorder::compare | ( | MWAWBorder const & | orig | ) | const

compare two cell

bool MWAWBorder::isEmpty | ( |  | ) | const

inline

returns true if the border is empty

Referenced by MWAWParagraph::addTo(), MWProStructuresInternal::Block::fillFramePropertyList(), MWProStructuresInternal::Block::hasBorders(), MWAWCell::hasExtraLine(), operator<<(), BWParser::sendFrame(), FWGraph::sendSideBar(), and WNTextInternal::TableData::updateCell().

bool MWAWBorder::operator!= | ( | MWAWBorder const & | orig | ) | const

inline

operator!=

Referenced by operator==().

bool MWAWBorder::operator== | ( | MWAWBorder const & | orig | ) | const

inline

operator==

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | MWAWBorder const & | border
| ) |  |

friend

operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | MWAWBorder::Style const & | style
| ) |  |

friend

operator<<: prints data in form "none|dot|..."

## Member Data Documentation

MWAWColor MWAWBorder::m_color

the border color

Referenced by MWAWSection::addTo(), addTo(), compare(), MRWTextInternal::Paragraph::BorderFill::getBorder(), FWStruct::Border::getParagraphBorders(), MWProStructuresInternal::Block::hasBorders(), operator!=(), operator<<(), MWProStructures::readBlock(), HMWKGraph::readTable(), CWTable::readTableCells(), HMWJGraph::readTableFormatsList(), MWAWTable::sendExtraLines(), FWGraph::sendSideBar(), FWText::sendTable(), MSKGraph::sendTable(), CWTableInternal::TableCell::update(), and HMWJGraphInternal::TableCell::update().

std::string MWAWBorder::m_extra

extra data ( if needed)

Referenced by operator<<(), and MWProStructures::readBlock().

Style MWAWBorder::m_style

the border style

Referenced by MWAWSection::addTo(), addTo(), compare(), MRWTextInternal::Paragraph::BorderFill::getBorder(), MSWStruct::getBorder(), isEmpty(), MWAWSection::MWAWSection(), operator!=(), operator<<(), MWAWParagraph::resizeBorders(), MWAWCell::setBorders(), CWTableInternal::TableCell::update(), and WNTextInternal::TableData::updateCell().

Type MWAWBorder::m_type

the border repetition

Referenced by addTo(), compare(), FWStruct::Border::getBorder(), MRWTextInternal::Paragraph::BorderFill::getBorder(), MSWStruct::getBorder(), operator!=(), operator<<(), MSWStruct::Paragraph::read(), HMWJText::readParagraph(), HMWKText::readParagraph(), HMWKGraph::readTable(), HMWJGraph::readTableFormatsList(), CWTableInternal::TableCell::update(), WNTextInternal::TableData::updateCell(), and MWProStructuresInternal::State::updateLineType().

double MWAWBorder::m_width

the border total width in point

Referenced by MWAWSection::addTo(), addTo(), compare(), MWProStructuresInternal::Block::fillFramePropertyList(), FWStruct::Border::getBorder(), MRWTextInternal::Paragraph::BorderFill::getBorder(), MSWStruct::getBorder(), isEmpty(), operator!=(), operator<<(), MSWStruct::Paragraph::read(), MWProStructures::readBlock(), HMWKGraph::readTable(), CWTable::readTableCells(), HMWJGraph::readTableFormatsList(), MWAWTable::sendExtraLines(), FWText::sendTable(), MSKGraph::sendTable(), CWTableInternal::TableCell::update(), HMWJGraphInternal::TableCell::update(), and WNTextInternal::TableData::updateCell().

std::vector<double> MWAWBorder::m_widthsList

the different length used for each line/sep (if defined)

Note
  when defined, the size of this list must be equal to 2*Type-1

Referenced by addTo(), MRWTextInternal::Paragraph::BorderFill::getBorder(), operator<<(), HMWKGraph::readTable(), HMWJGraph::readTableFormatsList(), and MWProStructuresInternal::State::updateLineType().

The documentation for this struct was generated from the following files:

- libmwaw_internal.hxx
- libmwaw_internal.cxx